package com.ss.android.ugc.aweme.api;

import android.app.Activity;
import androidx.fragment.app.Fragment;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.model.TextExtraStruct;

public interface IMentionVideoApi {
    static {
        Covode.recordClassIndex(53036);
    }

    Fragment LIZ(int i);

    Fragment LIZ(int i, String str, String str2);

    void LIZ();

    void LIZ(Activity activity, String str, String str2);

    void LIZ(Fragment fragment);

    void LIZ(String str);

    boolean LIZ(TextExtraStruct textExtraStruct);

    void LIZIZ(String str);

    boolean LIZIZ(int i);

    boolean LIZIZ(TextExtraStruct textExtraStruct);

    boolean LIZJ(int i);

    String LIZLLL(int i);
}
